Page MenuHomePhabricator

Ensure all PI engineers have +2 rights in operations/deployment-charts
Closed, ResolvedPublic

Description

Service deployments in the k8s services pipeline involve merging patches into operations/deployment-charts and then running update commands on deployment.eqiad.wmnet. We should ensure that each engineer on the team has +2 in that repo to be able to deploy our services.

Currently have +2:

  • Michael
  • Bernd

Currently don't have +2:

  • Mateus
  • Jason

https://wikitech.wikimedia.org/wiki/Pipeline_admin#Code_deployment/configuration_changes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2019, 11:08 PM

@bearND @jlinehan When you get a moment, could you please check https://gerrit.wikimedia.org/r/#/c/operations/deployment-charts/+/535533/ and update the description as appropriate based on whether you have the option of voting +2?

(I also have C+2 access, FWIW. :-))

(I also have C+2 access, FWIW. :-))

I assumed as much :P

Mholloway updated the task description. (Show Details)Sep 13 2019, 1:05 AM
Jhernandez triaged this task as High priority.

Jason still does not have +2 rights.

OK, I was wondering what the weird refs/meta/config^! in that commit above was, so I Googled it. Turns out it's a Gerrit config namespace, and the mediawiki-services-mobileapps group referred to in the commit is defined in Gerrit itself. Its membership is pretty outdated: it's currently only Bernd, Marko, Dmitry, and Stephen Niedzielski.

@Jdforrester-WMF If you have the power to add me to the mediawiki-services-mobileapps group, I should be able to clean up its membership and wrap this ticket up in the process.

I don't. You need a Gerrit Manager.

Mholloway updated the task description. (Show Details)Oct 1 2019, 10:20 PM
Mholloway changed the task status from Open to Stalled.Dec 6 2019, 2:11 PM
Mholloway removed Mholloway as the assignee of this task.Dec 17 2019, 5:43 PM
Mholloway added a subscriber: akosiaris.

@akosiaris Are you still handling permissions for deployment-charts? Or is this something Release-Engineering-Team should handle?

akosiaris closed this task as Resolved.Dec 18 2019, 4:42 PM
akosiaris claimed this task.

@akosiaris Are you still handling permissions for deployment-charts? Or is this something Release-Engineering-Team should handle?

I think there is not yet a process for this. Or at least I don't know of one.

Anyway I 've added @Mholloway , @jlinehan and @MSantos at the mobileapps group above. You should be ok now. I 'll resolve this, feel free to reopen